package org.jerrymouse.cc.site.webresource;

import static org.junit.Assert.*;

import org.jerrymouse.cc.site.test.BaseTest;
import org.jerrymouse.cc.site.web.spider.FlvSplider;
import org.jerrymouse.cc.site.web.spider.FlvcdSpider;
import org.junit.Test;

public class FlvcdSpiderTest extends BaseTest {
	FlvSplider flvSplider;

	@Override
	protected void onSetUp() throws Exception {
		super.onSetUp();
		flvSplider = new FlvcdSpider(
				"http://www.tudou.com/playlist/playindex.do?lid=7328348&iid=39516812&cid=24");
	}

	@Test
	public void testGetName() {
		System.out.println(flvSplider.getName());
	}
	
	@Test
	public void testGetUrl() throws Exception {
		System.out.println(flvSplider.getUrl());
	}

	@Test
	public void testSupport() {
		boolean b = flvSplider.isSupport();
		assertTrue(b);
	}

}
